Bug 270912 - Netbeans disables all breakpoints when starting to run in Debug mode
Netbeans disables all breakpoints when starting to run in Debug mode
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
PC Linux
: P1 (vote)
: Dev
Assigned To: Maria Tishkova
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 08:17 UTC by Xiano
Modified: 2017-08-01 13:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xiano 2017-06-20 08:17:14 UTC
They worked just fine before, nothing wrong with the paths. But now I can't debug anymore. The highlit lines become not highlit anymore when starting the program in Debug mode, and gdb won't break on them.
Comment 1 Xiano 2017-06-20 08:18:20 UTC
I forgot to add, I'm using the C++ part, don't know if it happens with Java code as well.
Comment 2 Maria Tishkova 2017-06-20 09:59:45 UTC
Please attach messages.log and gdb log (http://wiki.netbeans.org/GdbLog) for more information.
Comment 3 Maria Tishkova 2017-06-22 12:08:10 UTC
(In reply to Xiano from comment #1)
> I forgot to add, I'm using the C++ part, don't know if it happens with Java
> code as well.

Please send additional information ( messages.log and gdb log (http://wiki.netbeans.org/GdbLog))
Comment 4 Maria Tishkova 2017-07-25 06:28:44 UTC
Please enable all breakpoints in Breakpoints window before starting debug session (need to do it once when you will get the build with the fix)

fixed in 

changeset:   304371:eb8703fcad6f
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Tue Jul 25 09:27:00 2017 +0300
summary:     patch for bz#270963 - gdb continues automatically and bz#270912 - Netbeans disables all breakpoints when starting to run in Debug mode
Comment 5 Quality Engineering 2017-07-26 02:09:14 UTC
Integrated into 'main-silver', will be available in build *201707260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/eb8703fcad6f
User: Maria Dalmatova <mromashova@netbeans.org>
Log: patch for bz#270963 - gdb continues automatically and bz#270912 - Netbeans disables all breakpoints when starting to run in Debug mode
Comment 6 Maria Tishkova 2017-08-01 13:40:21 UTC
i think it is fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo